Intereting Posts
Как автоматизировать плагин wordpress активировать и деактивировать по php-логике? Что я здесь делаю неправильно? Ошибка базы данных WordPress '' profile_update ', доступ к старым настраиваемым данным поля? запрос настраиваемого поля Разрешить пользователям загружать несколько изображений в их профиль Как добавить данные пользователя в разные таблицы сразу после регистрации пользователя Переадресовать цикл при попытке войти в / wp-admin / Пользовательские роли пользовательских плагинов Почтовый запрос с множественной таксономией с исключением Полностью удалить URL автора как повысить эффективность персонализированного сообщения на один наиболее эффективно? Могу ли я использовать REST-API в формате простой permalink? Почему WordPress не показывает фотографии, когда я загружаю их в новый пост? Фильтры post в admin с выпадающим меню, пользовательский тип сообщения Сортировка портфеля с помощью ACF?

Как сделать мои темы совместимыми с разными версиями WordPress?

Я могу сделать свои темы совместимыми с разными браузерами, немного изменив CSS. Но мне интересно, как можно использовать мою тему, совместимую с разными версиями WordPress, как показано на рисунке. Пожалуйста, начинайте с базового, поскольку я новичок в дизайне темы WordPress. Я знаю совместимость с браузером, но не хватает знаний о совместимости WordPress

Solutions Collecting From Web of "Как сделать мои темы совместимыми с разными версиями WordPress?"

Это зависит от основных функций, которые вы используете в теме. Предположим, что вы используете get_theme_file_uri который представлен в WP 4.7 (еще не выпущен), а не его get_theme_directory_uri . Ваша тема не поддерживает более старые версии, если у вас нет никаких функций обратной совместимости.

Точно так же каждая новая версия WordPress поставляется с новыми функциями, API, классами, действиями, фильтрами. Поэтому, если вы используете более новые функции, тема не поддерживает старые версии WP.